# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Rate My Team

### Rate my PKMN White Team - Page 1

Previous Page

- 1

Next Page

#### Rate my PKMN White Team

Posted by: Pokedude
Date: 2019-06-04 09:01:51
Ok so here is the team roster. I've thought this over, and I feel these is the best movesets for these Pokemon even if they have HM moves.
Stoutland
-Fire Gang
-Surf
-Aerial Ace
-Shadow Ball
Seismitoad
-Toxic
-Venoshock
-Strength
-Earthquake
Galvantula
-Bug Buzz
-Cut
-Energy Ball
-Thunderbolt
Ferrothorn
-Power Whip
-Iron Head
-Thunder
-Bulldoze
Chandelure
-Energy Ball
-Flamethrower
-Shadow Ball
-Psychic
Zekrom
-Draco Meteor
-Fly
-Bolt Strike
-Focus Blast
Please be keep in mind that since this game takes place in Unova I've chosen ONLY Unova Pokemon.

#### Re: Rate my PKMN White Team

Posted by: Torchickens
Date: 2019-06-04 09:08:27
It's very good ^^
May not want to use it in competitive battling though, as people usually prefer Return over Strength, etc. ; while Cut has low base power and Fly can be exploited with Protect, Dig, status moves.
Previous Page

- 1

Next Page